/*
    Web2OSClet.java -- relays browser-based data to the host Web server.

    Copyright (C) 2001 John Paul Young. All Rights Reserved.

    This file is part of Web2OSC.

    Web2OSC is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    any later version.

    Web2OSC is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Web2OSC; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

import java.applet.*;
import java.io.*;
import java.net.*;

public class Web2OSClet extends Applet {

   public int tid = 0;
   public String args = "";

   public void press(int tid, String args) {
      sendData(tid, args);
   }

   public void release(int tid, String args) {
      sendData(tid, args);
   }

   public void releaseoutside(int tid, String args) {
      sendData(tid, args);
   }

   public void rollover(int tid, String args) {
      sendData(tid, args);
   }

   public void rollout(int tid, String args) {
      sendData(tid, args);
   }

   public void dragover(int tid, String args) {
      sendData(tid, args);
   }

   public void dragout(int tid, String args) {
      sendData(tid, args);
   }

   public void keypress(int tid, String args) {
      sendData(tid, args);
   }

   public void trigger(int tid, String args) {
      sendData(tid, args);
   }
   
   public void touch() {
      sendData();
   }

   public static void sendData(int id, String args) {

      Socket theSocket;
      String hostname;
      PrintWriter theOutputStream;

      hostname = "127.0.0.1"; // Change this to your Web server IP or hostname
      
      try {
         theSocket = new Socket(hostname, 7777);
         theOutputStream = new PrintWriter(theSocket.getOutputStream(), true);
		 theOutputStream.write(id);
		 theOutputStream.write(Integer.parseInt(args));
         theOutputStream.close();
         theSocket.close();
      }
      catch (UnknownHostException e) {
         System.err.println(e);
      }
      catch (IOException e) {
         System.err.println(e);
      }
   }  // end sendData

   public static void sendData() {

      Socket theSocket;
      String hostname;

      hostname = "127.0.0.1"; // Change this to your Web server IP or hostname
      try {
         theSocket = new Socket(hostname, 7778);
         theSocket.close();
      }
      catch (UnknownHostException e) {
         System.err.println(e);
      }
      catch (IOException e) {
         System.err.println(e);
      }
   }  // end sendData
}
